SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000566: Local Network Ping Limit Unacceptable - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000566Endian FirewallFirewall (iptables)public2008-02-15 20:322008-07-27 20:18
Reporterjaebird 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta2 
Target Version2.3Fixed in Version2.2-rc2 
Summary0000566: Local Network Ping Limit Unacceptable
DescriptionIn our use of endian we use ping to verify that the network is available to remote network nodes. They ping the default gateway, which happens to be endian firewall. The default setup limits the ping responses to once per second. This causes remote nodes to timeout when more than one node is "pinging" endian.
Additional InformationWARNING: I have not evaluated the DOS security implications of the following workaround.

Workaround:

In the following file:
/usr/local/bin/setxtaccess.py

comment out the line below:
# iptables += " -m limit --limit 1/second"
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000919)
peter-endian (administrator)
2008-02-15 21:02

should probably be done with -m hashlimit and maybe with different or ideally configurable limits for local zones/red

- Issue History
Date Modified Username Field Change
2008-02-15 20:32 jaebird New Issue
2008-02-15 20:32 jaebird Status new => assigned
2008-02-15 20:32 jaebird Assigned To => peter-endian
2008-02-15 21:02 peter-endian Note Added: 0000919
2008-02-15 21:02 peter-endian Status assigned => confirmed
2008-02-19 19:25 peter-endian Target Version => 2.3
2008-05-28 15:09 peter-endian Status confirmed => resolved
2008-05-28 15:09 peter-endian Fixed in Version => 2.2
2008-05-28 15:09 peter-endian Resolution open => fixed
2008-07-24 15:55 ra-endian Fixed in Version 2.2 => 2.2-rc2
2008-07-27 20:18 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker